[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Request permission to break always use system libs rule for asc-2.0



Hans de Goede wrote:
Hi All,

I'm currently working on upgrading asc (Advanced Strategic Command) to 2.0.1.0 When packaging asc-1.16.4.0, I also packaged SDLmm-0.1.8 and paragui-1.0.4.


[snip information on SDLmm and paragui being dead upstream.  Bugfixes
 present in the copies in asc.  Merging of paragui non-trivial due to
 reformat of the source.]

Are there any objections against this?

The options I see in decreasing order of preference are:

1) Get the asc maintainers to take over maintenance of SDLmm and paragui
2) Create paragui/paragui-devel and SDL-mm/SDL-mm-devel packages from the asc source tarball.
3) Use a private copy of SDL-mm and paragui inside the asc binary rpm.

If you've explored #1 and are planning on doing #2 I have no objections.

If you're going to do #3 I'd like to know why you favor it over #2.

-Toshio


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]